<template>
    <v-container>
        <div>
            <v-textarea type="text" filled :value="editText" v-on:input="UpdateInput($event)"></v-textarea>
            <div>
                <v-btn v-on:click="SaveDescription()">Save</v-btn>
            </div>
        </div>
    </v-container>
</template>

<script>
    export default {
        name: "Editable",

        props: ['editText', 'hero'],

        computed:{

        },

        methods:{
            UpdateInput(data){
                this.editDescription = data
            },
            SaveDescription: function(){
                this.$emit('close-event')
                console.log("save")
                console.log("ooook" + this.editDescription )
                this.$store.dispatch('UpdateDescription', {id:this.hero.id, description:this.editDescription})

            }
        },

        data: function () {
            return{
                editDescription: null
            }
        }
    }
</script>

<style scoped>

</style>